/* FFMC-16 IO-MAP HEADER FILE                                                */
/* ==========================                                                */
/* CREATED BY IO-WIZARD V2.26                                                */
/* Id: mb90350.asm,v 1.4 2006/12/27 10:18:01 hwech Exp                       */
/* THIS SAMPLE CODE IS PROVIDED AS IS AND IS SUBJECT TO ALTERATIONS. FUJITSU */
/* MICROELECTRONICS ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR */
/* ELIGIBILITY FOR ANY PURPOSES.                                             */
/*                 (C) Fujitsu Microelectronics Europe GmbH                  */
/* ***************************************************************************** */
/*                   Fujitsu Microelectronics Europe GmbH                    */
/*                 http://emea.fujitsu.com/microelectronics                  */
/*                                                                           */
/* The following  software  is for  demonstration  purposes only.  It is not */
/* fully  tested, nor validated  in order  to fullfill  its task  under  all */
/* circumstances.  Therefore,  this software or  any part of it must only be */
/* used in an evaluation laboratory environment.                             */
/* This software is subject to the rules of our standard DISCLAIMER, that is */
/* delivered with our  SW-tools on the Fujitsu Microcontrollers CD           */
/* (V3.4 or higher "\START.HTM") or on our Internet Pages:                   */
/* http://www.fme.gsdc.de/gsdc.htm                                           */
/* http://emea.fujitsu.com/microelectronics                                  */
/* ***************************************************************************** */
/*                                                                           */
/* NOTE:                                                                     */
/*                                                                           */
/* This header-file will cover all features of the EMB90350series.           */
/* Not all versions of the MB90350series may support all features !          */
/* Please DO NOT USE resources / registers others than specified             */
/* for the dedicated Flash-/Mask-version.                                    */
/* Please refer to the datasheet and hardwaremanual of the MB90350series.    */
/*                                                                           */
/*                                                                           */
/* ----------------------------------------------------------------------    */
/* Id: mb90350.iow,v 1.5 2006/12/27 10:16:42 hwech Exp                       */
/* ----------------------------------------------------------------------    */
/* History:                                                                  */
/* Date		Version	Author	Description                                          */
/* Id: mb90350.iow,v 1.1 2003/10/01 08:51:48 dfisch Exp                      */
/*      - created (from MB90340.iow v4.4), based on MB90350_info_0.8         */
/* Id: mb90350.iow,v 1.2 2004/03/11 08:48:45 dfisch Exp                      */
/*        bugfix for version 1.1 (based MB90340.iow v4.5)                    */
/*        modifications based on MB90350:DS07-13737-1E                       */
/*      - PPG0/1/2/3 deleted                                                 */
/*      - PPGC5/7 added, PPGCS45/67 corrected, PRL0/2 added                  */
/*      - Register CSVCR, CSVTR deleted                                      */
/*      - I2C ch1 deleted                                                    */
/*      - Register CMCR added                                                */
/*      - ECCR3 Bitdefinitions deleted                                       */
/* Id: mb90350.iow,v 1.3 2004/04/01 07:36:02 hwech Exp                       */
/*      - ECCR2 Bitdefinitions deleted                                       */
/* Id: mb90350.iow,v 1.4 2005/03/10 14:19:09 mwilla Exp                      */
/*      - Bit definitions in PACSR0/1 corrected                              */
/* Id: mb90350.iow,v 1.5 2006/12/27 10:16:42 hwech Exp                       */
/*      - Headerfiles MB90350 and MB90355 merged to MB90350                  */
/*      - CSVCR : Clock Supervisor added (only some devices)                 */
/*      - FWRx  : Dual Operation Flash supported (only some devices)         */
/*                                                                           */
/* ----------------------------------------------------------------------    */
/* Id: adc_01_new.h,v 2.2 2003/08/19 09:46:21 dfisch Exp                     */
/* ----------------------------------------------------------------------    */
/* DESCRIPTION:  Interrupt Control Register Declaration                      */
/*                                                                           */
/* AUTHOR:       Fujitsu Mikroelektronik GmbH                                */
/*                                                                           */
/* HISTORY:                                                                  */
/* Version 1.0      22.10.2002 : HWe, original version                       */
/* Version 1.1      15.01.2003 : HWe, ADCS0: Bit0 (STBY) deleted             */
/* Id: adc_01_new.h,v 2.0 2003/05/06 09:00:19 dfisch Exp                     */
/*      - CVS and make controlled                                            */
/* Id: adc_01_new.h,v 2.1 2003/06/27 14:30:51 dfisch Exp                     */
/*      - adapted to BITFIELD_ORDER_MSB                                      */
/* Id: adc_01_new.h,v 2.2 2003/08/19 09:46:21 dfisch Exp                     */
/*      - ADCS0 Bit-defs as const, only Byte-write                           */
/* ----------------------------------------------------------------------    */
/* Id: CANSTR.H,v 3.1 2003/06/27 14:30:51 dfisch Exp                         */
/* ----------------------------------------------------------------------    */
/* CANIO: control structures of CAN for LX-controllers                       */
/*                                                                           */
/* Version: 1.0            23.01.99     HL                                   */
/*      - original version                                                   */
/* Version: 2.0            26.02.99     HL                                   */
/*      - unsigned int replace by IO_WORD (FR/LX have diff int)              */
/*      - unsigned char replace by IO_BYTE                                   */
/* Version: 2.1            26.08.02     HLo                                  */
/*      - const specifier used for RTEC union                                */
/*      - REC and TEC of RTEC changed from bit group to Byte type            */
/*      - short type addded to DTR register for compatibility                */
/* Id: CANSTR.H,v 3.0 2003/05/06 09:02:30 dfisch Exp                         */
/*      - CVS and make controlled                                            */
/* Id: CANSTR.H,v 3.1 2003/06/27 14:30:51 dfisch Exp                         */
/*      - adapted to BITFIELD_ORDER_MSB                                      */
/* ----------------------------------------------------------------------    */
/* Id: ICR.H,v 2.1 2003/06/27 14:30:51 dfisch Exp                            */
/* ----------------------------------------------------------------------    */
/*                                                                           */
/* DESCRIPTION:  Interrupt Control Register Declaration                      */
/*                                                                           */
/* AUTHOR:       Fujitsu Mikroelektronik GmbH                                */
/*                                                                           */
/* HISTORY:                                                                  */
/* Version 1.0      26.01.99:                                                */
/*      - original version                                                   */
/* Version 1.2      11.02.99                                                 */
/*      - "extern" changed to pre-defined macro of IO-Wizard                 */
/*        (__IO_EXTERN), requires IO-Wizard 1.7 or later                     */
/*                                                                           */
/* Version 1.3      17.07.2002  HW  Bitdefinitions as const, no RMV allowed  */
/* Id: ICR.H,v 2.0 2003/05/06 09:03:53 dfisch Exp                            */
/*      - CVS and make controlled                                            */
/* Id: ICR.H,v 2.1 2003/06/27 14:30:51 dfisch Exp                            */
/*      - adapted to BITFIELD_ORDER_MSB                                      */
/* ----------------------------------------------------------------------    */
/* Id: canmac1.h,v 1.1 2004/04/01 07:32:55 dfisch Exp                        */
/* ----------------------------------------------------------------------    */
/* CANIO: control structures for LX-controllers                              */
/*        version 1.0 to 2.2 for double CAN                                  */
/*                                                                           */
/* Version: 1.0            23.01.99     FMG, HLO                             */
/*      - original version                                                   */
/* Version: 1.1            27.01.99     FMG, tka                             */
/*      - idrx0 changed to IDRX0                                             */
/* Version: 1.2            11.02.99     FMG, HLO                             */
/*      - "extern" declaration changed to predefined macros of               */
/*        IO-Wizard, requires IO-Wizard 1.7 or later                         */
/*      - DRT1_LWPTR changed to DTR1_DWPTR macro                             */
/* Version: 2.0            28.05.01     HLO                                  */
/*      - LX-version adopted to FR                                           */
/*      - __IO_EXTENDED changed to __IO_EXTERN, CAN is on external bus       */
/* Version: 2.1            08.06.01     HLO                                  */
/*      - macro for short type in DTR added                                  */
/* Version: 2.2            11.06.01     MEN                                  */
/*      - DLC changed to IO_WORD                                             */
/* Version: 3.0            05.08.02     DF                                   */
/*      - removed CAN1                                                       */
/* Version: 3.1            23.08.02     DF                                   */
/*      - DTR_LWPTR and DTR_DWPTR for compatibility                          */
/* Version: 4.0            23.08.02     HLO                                  */
/*      - changed to batch generation                                        */
/* Id: canmac1.h,v 1.1 2004/04/01 07:32:55 dfisch Exp                        */
/*      - CVS and make controlled                                            */
/* ----------------------------------------------------------------------    */
/* Id: security.asm,v 1.1 2003/08/19 10:25:24 dfisch Exp                     */
/* ----------------------------------------------------------------------    */
/* Id: security.asm,v 1.1 2003/08/19 10:25:24 dfisch Exp                     */
/*      - initial                                                            */
 .PROGRAM MB90350
 .TITLE   MB90350

;------------------------
; IO-AREA DEFINITIONS :
;------------------------



 .section IOBASE, IO, locate=0x0000  ; /*  PORT DATA */
 .GLOBAL __pdr0,     __pdr1,     __pdr2,     __pdr3,     __pdr4,     __pdr5
 .GLOBAL __pdr6,     __ader5,    __ader6,    __ilsr,     __ilsr0,    __ilsr1
 .GLOBAL __ddr0,     __ddr1,     __ddr2,     __ddr3,     __ddr4,     __ddr5
 .GLOBAL __ddr6,     __ddra,     __pucr0,    __pucr1,    __pucr2,    __pucr3
 .GLOBAL __ppgc45,   __ppgc4,    __ppgc5,    __ppgcs45,  __pacsr1,   __ppgc67
 .GLOBAL __ppgc6,    __ppgc7,    __ppgcs67,  __ppgc89,   __ppgc8,    __ppgc9
 .GLOBAL __ppgcs89,  __ppgcab,   __ppgca,    __ppgcb,    __ppgcsab,  __ppgccd
 .GLOBAL __ppgcc,    __ppgcd,    __ppgcscd,  __ppgcef,   __ppgce,    __ppgcf
 .GLOBAL __ppgcsef,  __ics01,    __ice01,    __ics45,    __ice45,    __ics67
 .GLOBAL __ice67,    __ocs45,    __ocs4,     __ocs5,     __ocs67,    __ocs6
 .GLOBAL __ocs7,     __tmcsr0,   __tmcsr1,   __tmcsr2,   __tmcsr3,   __adcs
 .GLOBAL __adcs0,    __adcs1,    __adcr,     __adcr0,    __adcr1,    __adsr
 .GLOBAL __romm,     __canl1,    __dcsr,     __dsr,      __dsrl,     __dsrh
 .GLOBAL __pacsr0,   __dirr,     __lpmcr,    __ckscr,    __dssr,     __dssr1
 .GLOBAL __dssr0,    __arsr,     __hacr,     __ecsr,     __wdtc,     __tbtc
 .GLOBAL __wtc,      __der,      __derl,     __derh,     __fmcs,     __icr
 .GLOBAL __enir1,    __eirr1,    __elvr1,    __eissr,    __psccr,    __bapl
 .GLOBAL __bapm,     __baph,     __dmacs,    __ioa,      __ioal,     __ioah
 .GLOBAL __dct,      __dctl,     __dcth,     __smr2,     __scr2,     __rdr2
 .GLOBAL __tdr2,     __ssr2,     __eccr2,    __escr2,    __bgr2,     __bgr20
 .GLOBAL __bgr21

__pdr0   .res.b 1             ;000000  /*  PORT DATA */
PDR0    .equ 0x0000
__pdr1   .res.b 1             ;000001
PDR1    .equ 0x0001
__pdr2   .res.b 1             ;000002
PDR2    .equ 0x0002
__pdr3   .res.b 1             ;000003
PDR3    .equ 0x0003
__pdr4   .res.b 1             ;000004
PDR4    .equ 0x0004
__pdr5   .res.b 1             ;000005
PDR5    .equ 0x0005
__pdr6   .res.b 1             ;000006
PDR6    .equ 0x0006
 .org 0x000B
__ader5   .res.b 1             ;00000B
ADER5    .equ 0x000B
__ader6   .res.b 1             ;00000C
ADER6    .equ 0x000C
 .org 0x000E
__ilsr   .res.b 2             ;00000E
ILSR    .equ 0x000E
 .org 0x000E
__ilsr0   .res.b 1             ;00000E
ILSR0    .equ 0x000E
__ilsr1   .res.b 1             ;00000F
ILSR1    .equ 0x000F
__ddr0   .res.b 1             ;000010  /*  PORT DIRECTION */
DDR0    .equ 0x0010
__ddr1   .res.b 1             ;000011
DDR1    .equ 0x0011
__ddr2   .res.b 1             ;000012
DDR2    .equ 0x0012
__ddr3   .res.b 1             ;000013
DDR3    .equ 0x0013
__ddr4   .res.b 1             ;000014
DDR4    .equ 0x0014
__ddr5   .res.b 1             ;000015
DDR5    .equ 0x0015
__ddr6   .res.b 1             ;000016
DDR6    .equ 0x0016
 .org 0x001A
__ddra   .res.b 1             ;00001A
DDRA    .equ 0x001A
 .org 0x001C
__pucr0   .res.b 1             ;00001C  /*  PULL-UP CONTROL */
PUCR0    .equ 0x001C
__pucr1   .res.b 1             ;00001D
PUCR1    .equ 0x001D
__pucr2   .res.b 1             ;00001E
PUCR2    .equ 0x001E
__pucr3   .res.b 1             ;00001F
PUCR3    .equ 0x001F
 .org 0x0038
__ppgc45   .res.b 2             ;000038  /*  PPG control */
PPGC45    .equ 0x0038
 .org 0x0038
__ppgc4   .res.b 1             ;000038
PPGC4    .equ 0x0038
__ppgc5   .res.b 1             ;000039
PPGC5    .equ 0x0039
__ppgcs45   .res.b 1             ;00003A
PPGCS45    .equ 0x003A
__pacsr1   .res.b 1             ;00003B  /*  Rom Correction 1 */
PACSR1    .equ 0x003B
__ppgc67   .res.b 2             ;00003C
PPGC67    .equ 0x003C
 .org 0x003C
__ppgc6   .res.b 1             ;00003C
PPGC6    .equ 0x003C
__ppgc7   .res.b 1             ;00003D
PPGC7    .equ 0x003D
__ppgcs67   .res.b 1             ;00003E
PPGCS67    .equ 0x003E
 .org 0x0040
__ppgc89   .res.b 2             ;000040
PPGC89    .equ 0x0040
 .org 0x0040
__ppgc8   .res.b 1             ;000040
PPGC8    .equ 0x0040
__ppgc9   .res.b 1             ;000041
PPGC9    .equ 0x0041
__ppgcs89   .res.b 1             ;000042
PPGCS89    .equ 0x0042
 .org 0x0044
__ppgcab   .res.b 2             ;000044
PPGCAB    .equ 0x0044
 .org 0x0044
__ppgca   .res.b 1             ;000044
PPGCA    .equ 0x0044
__ppgcb   .res.b 1             ;000045
PPGCB    .equ 0x0045
__ppgcsab   .res.b 1             ;000046
PPGCSAB    .equ 0x0046
 .org 0x0048
__ppgccd   .res.b 2             ;000048
PPGCCD    .equ 0x0048
 .org 0x0048
__ppgcc   .res.b 1             ;000048
PPGCC    .equ 0x0048
__ppgcd   .res.b 1             ;000049
PPGCD    .equ 0x0049
__ppgcscd   .res.b 1             ;00004A
PPGCSCD    .equ 0x004A
 .org 0x004C
__ppgcef   .res.b 2             ;00004C
PPGCEF    .equ 0x004C
 .org 0x004C
__ppgce   .res.b 1             ;00004C
PPGCE    .equ 0x004C
__ppgcf   .res.b 1             ;00004D
PPGCF    .equ 0x004D
__ppgcsef   .res.b 1             ;00004E
PPGCSEF    .equ 0x004E
 .org 0x0050
__ics01   .res.b 1             ;000050  /*  Input Capture */
ICS01    .equ 0x0050
__ice01   .res.b 1             ;000051
ICE01    .equ 0x0051
 .org 0x0054
__ics45   .res.b 1             ;000054
ICS45    .equ 0x0054
__ice45   .res.b 1             ;000055
ICE45    .equ 0x0055
__ics67   .res.b 1             ;000056
ICS67    .equ 0x0056
__ice67   .res.b 1             ;000057
ICE67    .equ 0x0057
 .org 0x005C
__ocs45   .res.b 2             ;00005C  /*  Output compare */
OCS45    .equ 0x005C
 .org 0x005C
__ocs4   .res.b 1             ;00005C
OCS4    .equ 0x005C
__ocs5   .res.b 1             ;00005D
OCS5    .equ 0x005D
__ocs67   .res.b 2             ;00005E
OCS67    .equ 0x005E
 .org 0x005E
__ocs6   .res.b 1             ;00005E
OCS6    .equ 0x005E
__ocs7   .res.b 1             ;00005F
OCS7    .equ 0x005F
__tmcsr0   .res.b 2             ;000060  /*  Reload Timer */
TMCSR0    .equ 0x0060
__tmcsr1   .res.b 2             ;000062
TMCSR1    .equ 0x0062
__tmcsr2   .res.b 2             ;000064
TMCSR2    .equ 0x0064
__tmcsr3   .res.b 2             ;000066
TMCSR3    .equ 0x0066
__adcs   .res.b 2             ;000068  /* AD Converter */
ADCS    .equ 0x0068
 .org 0x0068
__adcs0   .res.b 1             ;000068
ADCS0    .equ 0x0068
__adcs1   .res.b 1             ;000069
ADCS1    .equ 0x0069
__adcr   .res.b 2             ;00006A
ADCR    .equ 0x006A
 .org 0x006A
__adcr0   .res.b 1             ;00006A
ADCR0    .equ 0x006A
__adcr1   .res.b 1             ;00006B
ADCR1    .equ 0x006B
__adsr   .res.b 2             ;00006C
ADSR    .equ 0x006C
 .org 0x006F
__romm   .res.b 1             ;00006F  /*  ROM Mirror */
ROMM    .equ 0x006F
 .org 0x0080
__canl1   .res.b 0x10          ;000080  /*  CAN buffer control, lower part */
CANL1    .equ 0x0080
 .org 0x009B
__dcsr   .res.b 1             ;00009B  /*  DMA */
DCSR    .equ 0x009B
__dsr   .res.b 2             ;00009C
DSR    .equ 0x009C
 .org 0x009C
__dsrl   .res.b 1             ;00009C
DSRL    .equ 0x009C
__dsrh   .res.b 1             ;00009D
DSRH    .equ 0x009D
__pacsr0   .res.b 1             ;00009E  /*  ROM Correction 0 */
PACSR0    .equ 0x009E
__dirr   .res.b 1             ;00009F  /*  Delay interrupt enable */
DIRR    .equ 0x009F
__lpmcr   .res.b 1             ;0000A0  /*  please refer to hardware manual (Standby Cancel Failure) */
LPMCR    .equ 0x00A0
__ckscr   .res.b 1             ;0000A1  /*  Clock selection */
CKSCR    .equ 0x00A1
 .org 0x00A4
__dssr   .res.b 1             ;0000A4  /*  DMA */
DSSR    .equ 0x00A4
 .org 0x00A4
__dssr1   .res.b 1             ;0000A4
DSSR1    .equ 0x00A4
 .org 0x00A4
__dssr0   .res.b 1             ;0000A4
DSSR0    .equ 0x00A4
__arsr   .res.b 1             ;0000A5  /* External Bus I/F */
ARSR    .equ 0x00A5
__hacr   .res.b 1             ;0000A6
HACR    .equ 0x00A6
__ecsr   .res.b 1             ;0000A7
ECSR    .equ 0x00A7
__wdtc   .res.b 1             ;0000A8  /* Watchdog Control */
WDTC    .equ 0x00A8
__tbtc   .res.b 1             ;0000A9  /*  Time Base timer */
TBTC    .equ 0x00A9
__wtc   .res.b 1             ;0000AA  /*  Watch Timer Control register */
WTC    .equ 0x00AA
 .org 0x00AC
__der   .res.b 2             ;0000AC  /*  DMA */
DER    .equ 0x00AC
 .org 0x00AC
__derl   .res.b 1             ;0000AC
DERL    .equ 0x00AC
__derh   .res.b 1             ;0000AD
DERH    .equ 0x00AD
__fmcs   .res.b 1             ;0000AE  /*  Flash Control Register */
FMCS    .equ 0x00AE
 .org 0x00B0
__icr   .res.b 0x10          ;0000B0  /* Interrupt Control Registers */
ICR    .equ 0x00B0
 .org 0x00CA
__enir1   .res.b 1             ;0000CA  /*  DTP, External Interrupts */
ENIR1    .equ 0x00CA
__eirr1   .res.b 1             ;0000CB
EIRR1    .equ 0x00CB
__elvr1   .res.b 2             ;0000CC
ELVR1    .equ 0x00CC
__eissr   .res.b 1             ;0000CE
EISSR    .equ 0x00CE
__psccr   .res.b 1             ;0000CF  /*  PLL */
PSCCR    .equ 0x00CF
__bapl   .res.b 1             ;0000D0  /*  DMA */
BAPL    .equ 0x00D0
__bapm   .res.b 1             ;0000D1
BAPM    .equ 0x00D1
__baph   .res.b 1             ;0000D2
BAPH    .equ 0x00D2
__dmacs   .res.b 1             ;0000D3
DMACS    .equ 0x00D3
__ioa   .res.b 2             ;0000D4
IOA    .equ 0x00D4
 .org 0x00D4
__ioal   .res.b 1             ;0000D4
IOAL    .equ 0x00D4
__ioah   .res.b 1             ;0000D5
IOAH    .equ 0x00D5
__dct   .res.b 2             ;0000D6
DCT    .equ 0x00D6
 .org 0x00D6
__dctl   .res.b 1             ;0000D6
DCTL    .equ 0x00D6
__dcth   .res.b 1             ;0000D7
DCTH    .equ 0x00D7
__smr2   .res.b 1             ;0000D8  /*  UART2 */
SMR2    .equ 0x00D8
__scr2   .res.b 1             ;0000D9
SCR2    .equ 0x00D9
__rdr2   .res.b 1             ;0000DA
RDR2    .equ 0x00DA
 .org 0x00DA
__tdr2   .res.b 1             ;0000DA
TDR2    .equ 0x00DA
__ssr2   .res.b 1             ;0000DB
SSR2    .equ 0x00DB
__eccr2   .res.b 1             ;0000DC
ECCR2    .equ 0x00DC
__escr2   .res.b 1             ;0000DD
ESCR2    .equ 0x00DD
__bgr2   .res.b 2             ;0000DE
BGR2    .equ 0x00DE
 .org 0x00DE
__bgr20   .res.b 1             ;0000DE
BGR20    .equ 0x00DE
__bgr21   .res.b 1             ;0000DF
BGR21    .equ 0x00DF

 .section IOXTND, DATA, locate=0x7908  ; /*  PPG data */
 .GLOBAL __prl45,    __prl4,     __prll4,    __prlh4,    __prl5,     __prll5
 .GLOBAL __prlh5,    __prl67,    __prl6,     __prll6,    __prlh6,    __prl7
 .GLOBAL __prll7,    __prlh7,    __prl89,    __prl8,     __prll8,    __prlh8
 .GLOBAL __prl9,     __prll9,    __prlh9,    __prlab,    __prla,     __prlla
 .GLOBAL __prlha,    __prlb,     __prllb,    __prlhb,    __prlcd,    __prlc
 .GLOBAL __prllc,    __prlhc,    __prld,     __prlld,    __prlhd,    __prlef
 .GLOBAL __prle,     __prlle,    __prlhe,    __prlf,     __prllf,    __prlhf
 .GLOBAL __ipcp0,    __ipcp1,    __ipcp4,    __ipcp5,    __ipcp6,    __ipcp7
 .GLOBAL __occp4,    __occp5,    __occp6,    __occp7,    __tcdt0,    __tccs0
 .GLOBAL __tccsl0,   __tccsh0,   __tcdt1,    __tccs1,    __tccsl1,   __tccsh1
 .GLOBAL __tmr0,     __tmrlr0,   __tmr1,     __tmrlr1,   __tmr2,     __tmrlr2
 .GLOBAL __tmr3,     __tmrlr3,   __smr3,     __scr3,     __rdr3,     __tdr3
 .GLOBAL __ssr3,     __eccr3,    __escr3,    __bgr3,     __bgr30,    __bgr31
 .GLOBAL __csvcr,    __clkr,     __cdmr,     __canswr,   __ibsr0,    __ibcr0
 .GLOBAL __itba0,    __itbal0,   __itbah0,   __itmk0,    __itmkl0,   __itmkh0
 .GLOBAL __isba0,    __ismk0,    __idar0,    __iccr0,    __cmcr,     __fwr
 .GLOBAL __fwr0,     __fwr1,     __ssr0,     __padr0_l,  __padr0_m,  __padr0_h
 .GLOBAL __padr1_l,  __padr1_m,  __padr1_h,  __padr2_l,  __padr2_m,  __padr2_h
 .GLOBAL __padr3_l,  __padr3_m,  __padr3_h,  __padr4_l,  __padr4_m,  __padr4_h
 .GLOBAL __padr5_l,  __padr5_m,  __padr5_h,  __canm1,    ___dmyc3,   ___dmyc4
 .GLOBAL ___dmyc5,   __canh1,    ___endio

__prl45   .res.b 4             ;007908  /*  PPG data */
PRL45    .equ 0x7908
 .org 0x7908
__prl4   .res.b 2             ;007908
PRL4    .equ 0x7908
 .org 0x7908
__prll4   .res.b 1             ;007908
PRLL4    .equ 0x7908
__prlh4   .res.b 1             ;007909
PRLH4    .equ 0x7909
__prl5   .res.b 2             ;00790A
PRL5    .equ 0x790A
 .org 0x790A
__prll5   .res.b 1             ;00790A
PRLL5    .equ 0x790A
__prlh5   .res.b 1             ;00790B
PRLH5    .equ 0x790B
__prl67   .res.b 4             ;00790C
PRL67    .equ 0x790C
 .org 0x790C
__prl6   .res.b 2             ;00790C
PRL6    .equ 0x790C
 .org 0x790C
__prll6   .res.b 1             ;00790C
PRLL6    .equ 0x790C
__prlh6   .res.b 1             ;00790D
PRLH6    .equ 0x790D
__prl7   .res.b 2             ;00790E
PRL7    .equ 0x790E
 .org 0x790E
__prll7   .res.b 1             ;00790E
PRLL7    .equ 0x790E
__prlh7   .res.b 1             ;00790F
PRLH7    .equ 0x790F
__prl89   .res.b 4             ;007910
PRL89    .equ 0x7910
 .org 0x7910
__prl8   .res.b 2             ;007910
PRL8    .equ 0x7910
 .org 0x7910
__prll8   .res.b 1             ;007910
PRLL8    .equ 0x7910
__prlh8   .res.b 1             ;007911
PRLH8    .equ 0x7911
__prl9   .res.b 2             ;007912
PRL9    .equ 0x7912
 .org 0x7912
__prll9   .res.b 1             ;007912
PRLL9    .equ 0x7912
__prlh9   .res.b 1             ;007913
PRLH9    .equ 0x7913
__prlab   .res.b 4             ;007914
PRLAB    .equ 0x7914
 .org 0x7914
__prla   .res.b 2             ;007914
PRLA    .equ 0x7914
 .org 0x7914
__prlla   .res.b 1             ;007914
PRLLA    .equ 0x7914
__prlha   .res.b 1             ;007915
PRLHA    .equ 0x7915
__prlb   .res.b 2             ;007916
PRLB    .equ 0x7916
 .org 0x7916
__prllb   .res.b 1             ;007916
PRLLB    .equ 0x7916
__prlhb   .res.b 1             ;007917
PRLHB    .equ 0x7917
__prlcd   .res.b 4             ;007918
PRLCD    .equ 0x7918
 .org 0x7918
__prlc   .res.b 2             ;007918
PRLC    .equ 0x7918
 .org 0x7918
__prllc   .res.b 1             ;007918
PRLLC    .equ 0x7918
__prlhc   .res.b 1             ;007919
PRLHC    .equ 0x7919
__prld   .res.b 2             ;00791A
PRLD    .equ 0x791A
 .org 0x791A
__prlld   .res.b 1             ;00791A
PRLLD    .equ 0x791A
__prlhd   .res.b 1             ;00791B
PRLHD    .equ 0x791B
__prlef   .res.b 4             ;00791C
PRLEF    .equ 0x791C
 .org 0x791C
__prle   .res.b 2             ;00791C
PRLE    .equ 0x791C
 .org 0x791C
__prlle   .res.b 1             ;00791C
PRLLE    .equ 0x791C
__prlhe   .res.b 1             ;00791D
PRLHE    .equ 0x791D
__prlf   .res.b 2             ;00791E
PRLF    .equ 0x791E
 .org 0x791E
__prllf   .res.b 1             ;00791E
PRLLF    .equ 0x791E
__prlhf   .res.b 1             ;00791F
PRLHF    .equ 0x791F
__ipcp0   .res.b 2             ;007920  /*  Input Capture */
IPCP0    .equ 0x7920
__ipcp1   .res.b 2             ;007922
IPCP1    .equ 0x7922
 .org 0x7928
__ipcp4   .res.b 2             ;007928
IPCP4    .equ 0x7928
__ipcp5   .res.b 2             ;00792A
IPCP5    .equ 0x792A
__ipcp6   .res.b 2             ;00792C
IPCP6    .equ 0x792C
__ipcp7   .res.b 2             ;00792E
IPCP7    .equ 0x792E
 .org 0x7938
__occp4   .res.b 2             ;007938  /*  Output Compare */
OCCP4    .equ 0x7938
__occp5   .res.b 2             ;00793A
OCCP5    .equ 0x793A
__occp6   .res.b 2             ;00793C
OCCP6    .equ 0x793C
__occp7   .res.b 2             ;00793E
OCCP7    .equ 0x793E
__tcdt0   .res.b 2             ;007940  /*  IO Timer  */
TCDT0    .equ 0x7940
__tccs0   .res.b 2             ;007942
TCCS0    .equ 0x7942
 .org 0x7942
__tccsl0   .res.b 1             ;007942
TCCSL0    .equ 0x7942
__tccsh0   .res.b 1             ;007943
TCCSH0    .equ 0x7943
__tcdt1   .res.b 2             ;007944
TCDT1    .equ 0x7944
__tccs1   .res.b 2             ;007946
TCCS1    .equ 0x7946
 .org 0x7946
__tccsl1   .res.b 1             ;007946
TCCSL1    .equ 0x7946
__tccsh1   .res.b 1             ;007947
TCCSH1    .equ 0x7947
__tmr0   .res.b 2             ;007948  /* Timer Reload Register */
TMR0    .equ 0x7948
 .org 0x7948
__tmrlr0   .res.b 2             ;007948
TMRLR0    .equ 0x7948
__tmr1   .res.b 2             ;00794A
TMR1    .equ 0x794A
 .org 0x794A
__tmrlr1   .res.b 2             ;00794A
TMRLR1    .equ 0x794A
__tmr2   .res.b 2             ;00794C
TMR2    .equ 0x794C
 .org 0x794C
__tmrlr2   .res.b 2             ;00794C
TMRLR2    .equ 0x794C
__tmr3   .res.b 2             ;00794E
TMR3    .equ 0x794E
 .org 0x794E
__tmrlr3   .res.b 2             ;00794E
TMRLR3    .equ 0x794E
__smr3   .res.b 1             ;007950  /*  UART3 */
SMR3    .equ 0x7950
__scr3   .res.b 1             ;007951
SCR3    .equ 0x7951
__rdr3   .res.b 1             ;007952
RDR3    .equ 0x7952
 .org 0x7952
__tdr3   .res.b 1             ;007952
TDR3    .equ 0x7952
__ssr3   .res.b 1             ;007953
SSR3    .equ 0x7953
__eccr3   .res.b 1             ;007954
ECCR3    .equ 0x7954
__escr3   .res.b 1             ;007955
ESCR3    .equ 0x7955
__bgr3   .res.b 2             ;007956
BGR3    .equ 0x7956
 .org 0x7956
__bgr30   .res.b 1             ;007956
BGR30    .equ 0x7956
__bgr31   .res.b 1             ;007957
BGR31    .equ 0x7957
 .org 0x7960
__csvcr   .res.b 1             ;007960  /*  Clock Monitor */
CSVCR    .equ 0x7960
 .org 0x796C
__clkr   .res.b 1             ;00796C
CLKR    .equ 0x796C
 .org 0x796E
__cdmr   .res.b 1             ;00796E  /*  CAN Direct Mode */
CDMR    .equ 0x796E
__canswr   .res.b 1             ;00796F
CANSWR    .equ 0x796F
__ibsr0   .res.b 1             ;007970  /*  IIC Interface 0 */
IBSR0    .equ 0x7970
__ibcr0   .res.b 1             ;007971
IBCR0    .equ 0x7971
__itba0   .res.b 2             ;007972
ITBA0    .equ 0x7972
 .org 0x7972
__itbal0   .res.b 1             ;007972
ITBAL0    .equ 0x7972
__itbah0   .res.b 1             ;007973
ITBAH0    .equ 0x7973
__itmk0   .res.b 2             ;007974
ITMK0    .equ 0x7974
 .org 0x7974
__itmkl0   .res.b 1             ;007974
ITMKL0    .equ 0x7974
__itmkh0   .res.b 1             ;007975
ITMKH0    .equ 0x7975
__isba0   .res.b 1             ;007976
ISBA0    .equ 0x7976
__ismk0   .res.b 1             ;007977
ISMK0    .equ 0x7977
__idar0   .res.b 1             ;007978
IDAR0    .equ 0x7978
 .org 0x797B
__iccr0   .res.b 1             ;00797B
ICCR0    .equ 0x797B
 .org 0x79C2
__cmcr   .res.b 1             ;0079C2  /* Clock Modulator Control Register */
CMCR    .equ 0x79C2
 .org 0x79A2
__fwr   .res.b 2             ;0079A2  /* Flash Write  */
FWR    .equ 0x79A2
 .org 0x79A2
__fwr0   .res.b 1             ;0079A2
FWR0    .equ 0x79A2
__fwr1   .res.b 1             ;0079A3
FWR1    .equ 0x79A3
__ssr0   .res.b 1             ;0079A4
SSR0    .equ 0x79A4
 .org 0x79E0
__padr0_l   .res.b 1             ;0079E0  /* ROM CORRECTION */
PADR0_L    .equ 0x79E0
__padr0_m   .res.b 1             ;0079E1
PADR0_M    .equ 0x79E1
__padr0_h   .res.b 1             ;0079E2
PADR0_H    .equ 0x79E2
__padr1_l   .res.b 1             ;0079E3
PADR1_L    .equ 0x79E3
__padr1_m   .res.b 1             ;0079E4
PADR1_M    .equ 0x79E4
__padr1_h   .res.b 1             ;0079E5
PADR1_H    .equ 0x79E5
__padr2_l   .res.b 1             ;0079E6
PADR2_L    .equ 0x79E6
__padr2_m   .res.b 1             ;0079E7
PADR2_M    .equ 0x79E7
__padr2_h   .res.b 1             ;0079E8
PADR2_H    .equ 0x79E8
 .org 0x79F0
__padr3_l   .res.b 1             ;0079F0
PADR3_L    .equ 0x79F0
__padr3_m   .res.b 1             ;0079F1
PADR3_M    .equ 0x79F1
__padr3_h   .res.b 1             ;0079F2
PADR3_H    .equ 0x79F2
__padr4_l   .res.b 1             ;0079F3
PADR4_L    .equ 0x79F3
__padr4_m   .res.b 1             ;0079F4
PADR4_M    .equ 0x79F4
__padr4_h   .res.b 1             ;0079F5
PADR4_H    .equ 0x79F5
__padr5_l   .res.b 1             ;0079F6
PADR5_L    .equ 0x79F6
__padr5_m   .res.b 1             ;0079F7
PADR5_M    .equ 0x79F7
__padr5_h   .res.b 1             ;0079F8
PADR5_H    .equ 0x79F8
 .org 0x7C00
__canm1   .res.b 0x40          ;007C00  /*  CAN message buffer 1 */
CANM1    .equ 0x7C00
___dmyc3   .res.b 0x40          ;007C40
_DMYC3    .equ 0x7C40
___dmyc4   .res.b 0x40          ;007C80
_DMYC4    .equ 0x7C80
___dmyc5   .res.b 0x40          ;007CC0
_DMYC5    .equ 0x7CC0
__canh1   .res.b 0x1C          ;007D00  /* Status and control register, higher part */
CANH1    .equ 0x7D00
 .org 0x7FFF
___endio   .res.b 1             ;007FFF
_ENDIO    .equ 0x7FFF
; /* include : security.asm */

#ifdef SECURITY_FEATURE
  #if SECURITY_FEATURE == 1
    ; if Security feature is available,
    ; check for possible security address (64KB, 128KB, 256KB, 384KB or 512 KB device)
    
    #if SECURITY_ADDRESS == 0xFF0000  \
     || SECURITY_ADDRESS == 0xFE0000  \
     || SECURITY_ADDRESS == 0xFC0000  \
     || SECURITY_ADDRESS == 0xF90000  \
     || SECURITY_ADDRESS == 0xF80000  
	
      #ifdef SECURITY_ENABLE
        #if SECURITY_ENABLE == 0
          .section SECURITY, locate = SECURITY_ADDRESS
	      .DATA.W 0xFF55 ; Security DISABLED
        #elif SECURITY_ENABLE == 1
	      .section SECURITY, locate = SECURITY_ADDRESS
	      .DATA.W 0x01FF ; Security ENABLED
        #else     ; see description below
           #error "Invalid value of SECURITY_ENABLE" ; see description below
        #endif
      #else       ; see description below
           #error "SECURITY_ENABLE not defined"
      #endif

    #else    ; see description below
      #error "Invalid value of SECURITY_ADDRESS" 
    #endif

  #elif SECURITY_FEATURE != 0 ; see description below
    #error "Invalid value of SECURITY_FEATURE"
  #endif 

#else    ; see description below
  #error "SECURITY_FEATURE not defined"
#endif  

; HOW TO HANDLE THE SECURITY-FEAUTURE ?
;
; Security-Feature means that the contents of the (Flash-)ROM
; can be prevent from (unauthorized) read-out.
; Devices of microcontroller-families with Security-Feature
; require three manual definitions within SWB-menu "SetProject->Assembler->DefineMacro" : 
;
; SECURITY_FEATURE 0 => NO  1 => YES  <<< Does the device support the Security-Feature ? 
;
; SECURITY_ADDRESS 0x??0000           <<< Define Security Address
;                                         0xFF0000 for  64KB device 
;                                         0xFE0000 for 128KB device 
;                                         0xFC0000 for 256KB device 
;                                         0xF90000 for 384KB device 
;                                         0xF80000 for 512KB device 
;
; SECURITY_ENABLE  0 => NO  1 => YES  <<< Enable / Disable Security Feature
;
; The Security-Feature is ENABLED 
; if 
;     the device supports the Security-Feature generally
; and the define SECURITY_FEATURE is set to 1
; and the correct SECURITY_ADDRESS is defined
; and the Security-mechanism is enabled by SECURITY_ENABLE set to 1
;
;
; HOW DOES THE SECURITY-FEATURE WORK ? 
;
; In case that a device supports the Security-Feature
; the lower two bytes of the (Flash-)ROM are reserved 
; for controlling the security mechanism.
; If the first two bytes are set 0x01FF, the Security-Feature is enabled. 
; If the first two bytes are set 0xFF55, the Security-Feature is disabled
; If the Security-Feauture is enabled the (Flash-)ROM can not be read-out anymore. 
;
; NOTE:
; If a device does not support the Security-Feature
; then set SECURITY_FEATURE 0
; The setting for SECURITY_ADDRESS and SECURITY_ENABLE becomes invalid.
;


 .end
